using MauiAppStock.Models;
using MauiAppStock.Data;

namespace MauiAppStock.Views
{
    public partial class SelectAppareilForAssociationPage : ContentPage
    {
        public SelectAppareilForAssociationPage()
        {
            InitializeComponent();
            LoadAppareils();
        }
        protected override void OnAppearing()
        {
            base.OnAppearing();
            LoadAppareils(); // Rafraîchit la liste à chaque affichage
        }
        private async void LoadAppareils()
        {
            var appareils = await Database.GetAppareilsAsync();
            AppareilsListView.ItemsSource = appareils;
        }

        private async void OnAppareilTapped(object sender, ItemTappedEventArgs e)
        {
            if (e.Item is Appareil selectedAppareil)
            {
                // Une fois l'appareil sélectionné, on navigue vers la page qui liste ses pièces et permet d'en ajouter
                await Navigation.PushAsync(new AppareilPiecesPage(selectedAppareil));
            }
        }


    }
}